Package io.strimzi.systemtest.interfaces

## Class IndicativeSentences

- java.lang.Object
- - org.junit.jupiter.api.DisplayNameGenerator.Standard
  - - org.junit.jupiter.api.DisplayNameGenerator.Simple
    - - org.junit.jupiter.api.DisplayNameGenerator.ReplaceUnderscores
      - - io.strimzi.systemtest.interfaces.IndicativeSentences

- All Implemented Interfaces:
    `org.junit.jupiter.api.DisplayNameGenerator`

      public class IndicativeSentences
      extends org.junit.jupiter.api.DisplayNameGenerator.ReplaceUnderscores

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.junit.jupiter.api.DisplayNameGenerator

      `org.junit.jupiter.api.DisplayNameGenerator.IndicativeSentences, org.junit.jupiter.api.DisplayNameGenerator.ReplaceUnderscores, org.junit.jupiter.api.DisplayNameGenerator.Simple, org.junit.jupiter.api.DisplayNameGenerator.Standard`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndicativeSentences()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `generateDisplayNameForClass​(Class<?> testClass)` |
    `String` | `generateDisplayNameForMethod​(Class<?> testClass, Method testMethod)` |
    `String` | `generateDisplayNameForNestedClass​(Class<?> nestedClass)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndicativeSentences

          public IndicativeSentences()

  - ### Method Detail

    - #### generateDisplayNameForClass

          public String generateDisplayNameForClass​(Class<?> testClass)

      Specified by:
        `generateDisplayNameForClass` in interface `org.junit.jupiter.api.DisplayNameGenerator`
      Overrides:
        `generateDisplayNameForClass` in class `org.junit.jupiter.api.DisplayNameGenerator.ReplaceUnderscores`

    - #### generateDisplayNameForNestedClass

          public String generateDisplayNameForNestedClass​(Class<?> nestedClass)

      Specified by:
        `generateDisplayNameForNestedClass` in interface `org.junit.jupiter.api.DisplayNameGenerator`
      Overrides:
        `generateDisplayNameForNestedClass` in class `org.junit.jupiter.api.DisplayNameGenerator.ReplaceUnderscores`

    - #### generateDisplayNameForMethod

          public String generateDisplayNameForMethod​(Class<?> testClass,
                                                     Method testMethod)

      Specified by:
        `generateDisplayNameForMethod` in interface `org.junit.jupiter.api.DisplayNameGenerator`
      Overrides:
        `generateDisplayNameForMethod` in class `org.junit.jupiter.api.DisplayNameGenerator.ReplaceUnderscores`